using ZelWiki.Library;
using ZelWiki.Models.DataModels;
using ZelWiki.Models.ViewModels.Shared;

namespace ZelWiki.Models.ViewModels.Admin
{
    public class AccountProfileViewModel : ViewModelBase
    {
        public List<Theme> Themes { get; set; } = new();
        public List<TimeZoneItem> TimeZones { get; set; } = new();
        public List<CountryItem> Countries { get; set; } = new();
        public List<LanguageItem> Languages { get; set; } = new();
        public List<Role> Roles { get; set; } = new();
        public AccountProfileAccountViewModel AccountProfile { get; set; } = new();
        public CredentialViewModel Credential { get; set; } = new();
    }
}
